#charset "UTF-8"
/*
 *   pagination
 */

#include <tads.h>
#include <file.h>
#include <date.h>
#include <charset.h>


main()
{
	randomize();

	for (local wi = 1; wi <= 5000; wi++) {

		local wsBefore = rand(5);
		if (wsBefore == 3) {
			"  ";
		}
	
		local word = rand('"x"{1,10}') + wi + ' ';
		"<<word>>";

		local wsAfter = rand(5);
		if (wsAfter == 3) {
			"    ";
		}

		local newline = rand(15);
		if (newline == 5) {
			"<br>";
		}
	}
	
	inputKey();
}
